### Method

# GIRepository StructInfo get_method

since: 2.80

#### Declaration

    GIFunctionInfo*
    gi_struct_info_get_method (
      GIStructInfo* info,
      unsigned int n
    )

#### Description

Obtain the type information for method with specified index.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  A method index.

#### Return value

Type: `GIFunctionInfo`

The `GIFunctionInfo`. Free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the data, and is responsible for freeing it.